Subject: Re: [RFC] TCP Vegas for 2.6

From: Nivedita Singhvi <[email-masked]>
Date: Tue, 09 Mar 2004 11:36:34 -0800

Stephen Hemminger wrote:

> I used ttcp and netperf, but the tests aren't as interesting as setting up the
> toplogies, like 1G Ethernet; Ethernet -> PPP -> Ethernet and Ethernet -> IRDA -> Ethernet
> and DSL connections through SSH.   Plus, LTP (and are local automated test machines)
> don't seem to be setup for multi-machine tests.

I agree the environments are more interesting
in this case - but not sure about just using ttcp
and netperf in this case. Single stream, I presume?
Both are blasting out data without disk I/O
occurring. I'm concerned about enterprise
server situations  seeing a hit due
to the memory/cacheline impact - i.e. catch
the environments where this is not going to be
of help. We might be able to get some other
performance benchmark run data (Specweb* ?).

I'm trying to solve two problems - testing of
the current mainline kernel for the new features
that have gone in and also helping the testing
guys with the automated testing of kernel.org
kernels for networking stuff (solving that multi-
machine problem if they haven't already)..

thanks,
Nivedita